package pep;

import java.util.Random;

/**This Attention class controls the attentional system.*/
public class Attention {
 /**deflection of attention*/ private double deflect;
 /**number generator*/        private final Random rnd = new Random();

 /**Creates a new Attention node.*/
 public Attention(){
  deflect = 0.0;
 }

 /**Adjusts the distracter signal strength randomly (can be lesioned).
  * @param dSigTrend Current value of signal.
  * @param dSignal Baseline value of signal.
  * @return New signal strength.*/
 public double wander(double dSigTrend,double dSignal){
  // <--insert asterisk between slashes to lesion attentional wandering
  double random = rnd.nextGaussian()*.4;
  if(random<-1) random=-1.0;
  else if(random>1) random = 1.0;
  deflect = deflect*.95+random*.05;
  dSigTrend = (dSigTrend*.9) + (dSignal*.1) + deflect;//*/
  return dSigTrend;
 }
}